### Method

# Gimp Image metadata_save_filter

#### Declaration [src]

    GimpMetadata*
    gimp_image_metadata_save_filter (
      GimpImage* image,
      const gchar* mime_type,
      GimpMetadata* metadata,
      GimpMetadataSaveFlags flags,
      GFile* file,
      GError** error
    )

#### Description [src]

Filters the `metadata` retrieved from the image with gimp_image_metadata_save_prepare(), taking into account the passed `flags`.

Note that the `image` passed to this function might be different from the image passed to gimp_image_metadata_save_prepare(), due to whatever file export conversion happened in the meantime

This is an alternative to gimp_image_metadata_save_finish when you want to save metadata yourself and you need only filtering processing.

Available since: | 3.0

#### Parameters

`mime_type` | `const gchar*`
| The saved file’s mime-type.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`metadata` | `GimpMetadata`
| The metadata to export.
| The data is owned by the caller of the function.
`flags` | `GimpMetadataSaveFlags`
| Flags to specify what of the metadata to save.
`file` | `GFile`
| The file `image` was saved to or NULL if file was not saved yet.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GimpMetadata`
| Filtered metadata or NULL in case of failure. Use `g_object_unref()` when returned metadata are no longer needed.
| The caller of the method takes ownership of the data, and is responsible for freeing it.